Subject: Re: [PATCH net-next v2] samples/bpf: fixup some tools to be able to support xdp multibuffer

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Wed, 04 Jan 2023 13:28:57 +0100

Lorenzo Bianconi <[email-masked]> writes:

>> On Tue, 03 Jan 2023 16:19:49 +0100 Toke Høiland-Jørgensen wrote:
>> > Hmm, good question! I don't think we've ever explicitly documented any
>> > assumptions one way or the other. My own mental model has certainly
>> > always assumed the first frag would continue to be the same size as in
>> > non-multi-buf packets.
>> 
>> Interesting! :) My mental model was closer to GRO by frags 
>> so the linear part would have no data, just headers.
>
> That is assumption as well.

Right, okay, so how many headers? Only Ethernet, or all the way up to
L4 (TCP/UDP)?

I do seem to recall a discussion around the header/data split for TCP
specifically, but I think I mentally put that down as "something people
may way to do at some point in the future", which is why it hasn't made
it into my own mental model (yet?) :)

-Toke